classification
Title: Link to PEP 3147 from importlib docs
Type: Stage: patch review
Components: Documentation Versions: Python 3.2
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: ashleyjsands, brett.cannon, orsenthil
Priority: low Keywords: easy, needs review, patch

Created on 2010-05-08 23:51 by brett.cannon, last changed 2010-06-27 21:49 by brett.cannon. This issue is now closed.

Files
File name Uploaded Description Edit
linkToPep3247.diff ashleyjsands, 2010-05-19 18:08 patch
Messages (6)
msg105351 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2010-05-08 23:51
In trying to keep importlib's docs THE place to go for links to all relevant import details, a link to PEP 3147 is needed.
msg105953 - (view) Author: Ashley Sands (ashleyjsands) Date: 2010-05-18 05:04
Hi Brett,

I would like to contribute to the open source community and Python is my favourite language, so I figured I would begin here. But I have never done this before, so I am a open-source-contributor-newbie.

So to resolve this issue, I would need to:
Check out the source for Python 3.2.
Locate the importlib module.
Find the file containing the documentation (I presume it would be __init__.py).
Then insert some text and a URL to PEP 3147.
Then commit the change.

Is this the right approach?
msg105973 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2010-05-18 13:20
Ashley Sands wrote:
> Is this the right approach?

Follow the process mentioned here:
http://www.python.org/dev/faq/

And create a patch against Docs/library/importlib.rst with the
reference to PEP 3147 included. That is it. Look for other places
where it might need reference too.

Attach the patch to this bug report.
msg105993 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2010-05-18 17:37
Thanks for wanting to help, Ashley! And Senthil hit all the right points. If you need any help with the code checkout you can read http://www.python.org/dev/setup/ (and in general dev questions are hopefully answered by something linked from http://www.python.org/dev/ ).
msg106085 - (view) Author: Ashley Sands (ashleyjsands) Date: 2010-05-19 18:08
Thanks Senthil & Brett for your help.

Here's my patch. It is very simple, so simple I think it may be wrong.
msg108805 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2010-06-27 21:49
Sorry this took so long, Ashley. I applied your patch in r82300.
History
Date User Action Args
2010-06-27 21:49:46brett.cannonsetstatus: open -> closed
resolution: accepted
messages: + msg108805
2010-05-19 20:11:47brett.cannonsetkeywords: + needs review
stage: needs patch -> patch review
2010-05-19 18:08:38ashleyjsandssetfiles: + linkToPep3247.diff
keywords: + patch
messages: + msg106085
2010-05-18 17:37:27brett.cannonsetmessages: + msg105993
2010-05-18 13:20:16orsenthilsetnosy: + orsenthil
messages: + msg105973
2010-05-18 05:05:00ashleyjsandssetnosy: + ashleyjsands
messages: + msg105953
2010-05-08 23:51:31brett.cannoncreate